GRUB-MKIMAGE(1)

NOM
grub-mkimage – Créer une image amorçable de GRUB

SYNOPSIS
grub-mkimage [OPTION...] [OPTION]... [MODULES]

DESCRIPTION
Créer une image amorçable de GRUB.

-c, --config=FICHIER
    Intégrer FICHIER en tant que configuration initiale.

-C, --compression=(xz|none|auto)
    Choisir le type de compression à utiliser pour l'image essentielle.

--disable-cli
    Désactiver l'accès à l'interface en ligne de commande.

--disable-shim-lock
    Désactiver le vérificateur de shim_lock.

-d, --directory=RÉP
    Utiliser les images et les modules dans RÉP [/usr/lib/grub/<platform> par défaut]

-D, --dtb=FICHIER
    Intégrer FICHIER en tant qu'arbre de périphériques (DTB).

-k, --pubkey=FICHIER
    Intégrer FICHIER comme clé publique pour la vérification de signature PGP.

-m,                              --memdisk=FICHIER
    Intégrer FICHIER en tant qu'image memdisk.

Cela implique `-p (memdisk)/boot/grub et écrase

tout préfixe fourni précédemment, mais le préfixe
    lui-même peut être écrasé par des options ultérieures.

-n, --note
    Ajouter une partie NOTE pour CHRP IEEE1275.

-o, --output=FICHIER
    Produire une image générée dans FICHIER [par défaut = sortie standard].

-O, --format=FORMAT
    Générer une image au FORMAT parmi les formats : i386-coreboot, i386-multiboot, i386-pc, i386-xen_pvh, i386-pc-pxe, i386-pc-eltorito, i386-efi, i386-ieee1275, i386-qemu, x86_64-efi, i386-xen, x86_64-xen, mipsel-yeeloong-flash, mipsel-fuloong2f-flash, mipsel-loongson-elf, powerpc-ieee1275, sparc64-ieee1275-raw, sparc64-ieee1275-cdcore, sparc64-ieee1275-aout, ia64-efi, mips-arc, mipsel-arc, mipsel-qemu_mips-elf, mips-qemu_mips-flash, mipsel-qemu_mips-flash, mips-qemu_mips-elf, arm-uboot, arm-coreboot-vexpress, arm-coreboot-veyron, arm-efi, arm64-efi, loongarch64-efi, riscv32-efi, riscv64-efi

-p, --prefix=RÉP
    Définir le répertoire de préfixe.

-s, --sbat=FICHIER
    Métadonnées SBAT.

-S, --appended-signature-size=TAILLE
    Ajouter une partie NOTE réservant TAILLE octets pour l'ajout d'une signature.

-v, --verbose
    Afficher des messages détaillés.

-x, --x509key=FICHIER
    Intégrer FICHIER comme certificat x509 pour la vérification de la signature ajoutée.

-?, --help
    Afficher l’aide-mémoire.

--usage
    Afficher un court message pour l’utilisation.

-V, --version
    Afficher la version du programme.

Les paramètres obligatoires ou facultatifs pour les options de forme longue le sont aussi pour les options correspondantes de forme courte.

SIGNALER DES BOGUES
Signaler toute erreur à <bug-grub@gnu.org>.

VOIR AUSSI
grub-install(8), grub-mkrescue(1), grub-mknetdir(8)

La documentation complète de grub-mkimage est disponible dans un manuel Texinfo. Si les programmes info et grub-mkimage sont correctement installés, la commande

    info grub-mkimage

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.